This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1017239 - [Doc Bug Fix] mod_cluster and clustering configuration mixed up together
[Doc Bug Fix] mod_cluster and clustering configuration mixed up together
Status: CLOSED DEFERRED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: post-GA
: EAP 6.4.2
Assigned To: Nidhi
Michal Karm Babacek
Russell Dickenson
: Documentation, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 09:24 EDT by Michal Karm Babacek
Modified: 2015-10-27 16:20 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-27 16:20:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Karm Babacek 2013-10-09 09:24:06 EDT
Hi guys,

if you take a look at Procedure 16.7. Configure a Worker Node,
you might notice that it seamlessly blends to clustering configuration.
It is not wrong per se, yes, one might carry out the steps mentioned, yet, it has little to do with mod_cluster as such.

It is actually a clustering configuration, technically absolutely unrelated to mod_cluster. As soon as you configure mod_cluster subsystem, it's ready. No need for any clustering configuration stuff.

It must be clear to the customer that:

1) As soon as you configure the mod_cluster subsystem in Jboss EAP 6 instance and mod_cluster module on Apache HTTP Server instance, you are ready to go with load balancing. No matter whether you are using standalone not clustered servers, clustered standalone servers, not clustered domain managed hosts, clustered domain managed hosts...

2) If you want to have session data replicated among cluster nodes, you must configure clustering subsystem. The default of standalone-ha, standalone-full-ha, or in domain, ha or full-ha profiles is good enough for start (provided you have <distributable/> element within your web.xml in your webapp you want to have replicated).



TL;DR: mod_cluster subsystem and clustering subsystem configurations are _absolutely_ unrelated and _not depending_ on each other. Luring the customer into thinking otherwise is confusing.

HTH
-M-
Comment 1 Michal Karm Babacek 2014-11-06 08:43:41 EST
Dear Doc guys, could you look into it please?
Comment 2 Michal Karm Babacek 2015-01-20 08:48:43 EST
Dear Tom, regarding my comment 1, may I ask you to check who's working on this bugzilla and whether there has been any change in the text of our current documentation build?
With more and more changes piling up, it's gonna be harder and harder to locate what was supposed to be fixed...

Thanks.
Comment 8 anrobert 2015-10-27 16:20:12 EDT
In JIRA -> https://issues.jboss.org/browse/JBEAP-1300

Note You need to log in before you can comment on or make changes to this bug.